[pacman-dev] [PATCH] scripts/makepkg.sh.in: Strip bins/libs in all {bin, sbin, lib} directories.

Andrew Fyfe andrew at neptune-one.net
Thu Oct 18 20:18:01 EDT 2007


In one of the original clean up patches[1] I changed the search path
for stripping binaries and libraries. This resulted in only
usr/{bin,sbin,lib} being searched. This patch reverts that change.

[1] 721ceee1e2c9b18425d84cf39f6541b2f04072b3

Signed-off-by: Andrew Fyfe <andrew at neptune-one.net>
---
 scripts/makepkg.sh.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 4399076..df6c92e 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -736,7 +736,7 @@ tidy_install() {
 
 	if [ "$(check_option strip)" = "y" ]; then
 		msg2 "$(gettext "Stripping debugging symbols from binaries and libraries...")"
-		for file in $(find {,*/}{bin,lib,sbin} -type f 2>/dev/null || true); do
+		for file in $(find {,usr/{,local/},opt/}{bin,lib,sbin} -type f 2>/dev/null || true); do
 			case "$(file -biz "$file")" in
 				*application/x-sharedlib*)  # Libraries
 					/usr/bin/strip --strip-debug "$file";;
-- 
1.5.3.4-dirty





More information about the pacman-dev mailing list